Sign in to follow this  
Followers 0

Is the GPL Linux Doom demo playback compatible with The Ultimate Doom OR Doom 2 1.9?

Does this version of source code Doom (http://www.doomworld.com/idgames/?id=14576) produce demos compatible with whatever UDoom produces, or failing that, Doom 2? I'm especially thinking if P_Random calls are any different in occurence between released source and those Doom versions. As I can see in the unofficial LMP documentation (http://classic-web.archive.org/web/20071211231114/http://demospecs.planetquake.gamespy.com/lmp/lmp.html), section 2.2, the "published DOOM source" counts as a different version tag to "(Ultimate) DOOM 1.9 and DOOM ][ 1.9". I'd like to know if the version change is anything but nominal, regarding demos, in the released source.

Share this post


Link to post

The source as released is demo-compatible with Ultimate DOOM v1.9 IIRC. It is missing the Final DOOM teleporter bug but does have bouncing lost souls.

Share this post


Link to post

Correct.

Dosdoom .47 was very closely based on the released source code, and the only demos I know of produced by it that are not compatible with Ultimate Doom are ones with spechits overflows.

Share this post


Link to post

Thanks. This is pretty good to know. I can rely on the exact technicalities described in the source code to predict how the game will play, based on the pseudo-random table and game physics.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0